Package commoble.morered.api.internal

# Class WireVoxelHelpers

java.lang.Object
commoble.morered.api.internal.WireVoxelHelpers

public class WireVoxelHelpers extends Object

## Constructor Summary

Constructors
Constructor
Description
`WireVoxelHelpers()`

## Method Summary

Modifier and Type
Method
Description
`static net.minecraft.world.phys.shapes.VoxelShape[]`
`makeLineShapes(int radius, int height)`
`static net.minecraft.world.phys.shapes.VoxelShape[]`
`makeNodeShapes(int xzRadius, int height)`
Creates and returns an array of six voxelshapes for the wire nodes in dunswe order
`static net.minecraft.world.phys.shapes.VoxelShape[]`
`makeRaytraceBackboards(int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WireVoxelHelpers

public WireVoxelHelpers()

## Method Details

### makeNodeShapes

public static net.minecraft.world.phys.shapes.VoxelShape[] makeNodeShapes(int xzRadius, int height)
Creates and returns an array of six voxelshapes for the wire nodes in dunswe order

Parameters:
  `xzRadius` - The radius of the node shape on the axes parallel to the attachment face
  `height` - The height of the node shape perpendicular to the attachment face
Returns:
  An array of six voxelshapes in dunswe order, where the ordinal of an attachment face's direction is the respective index

### makeRaytraceBackboards

public static net.minecraft.world.phys.shapes.VoxelShape[] makeRaytraceBackboards(int height)

### makeLineShapes

public static net.minecraft.world.phys.shapes.VoxelShape[] makeLineShapes(int radius, int height)